%define         anolis_release 1

Name:           perl-Bit-Vector
Version:        7.4
Release:        %{anolis_release}%{?dist}
Summary:        Efficient bit vector, set of integers and "big int" math library

License:        (GPLv2+ or Artistic) and LGPLv2+
URL:            https://metacpan.org/release/Bit-Vector
Source0:        https://cpan.metacpan.org/authors/id/S/ST/STBEY/Bit-Vector-%{version}.tar.gz

BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(Carp::Clan) >= 5.3
BuildRequires:  perl(Config)
BuildRequires:  perl(DynaLoader)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(integer)
BuildRequires:  perl(overload)
BuildRequires:  perl(Storable) >= 2.21
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
Requires:       perl(Carp::Clan) >= 5.3
Requires:       perl(Storable) >= 2.21

%{?perl_default_filter}
 
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(Bit::Vector\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Carp::Clan\\)\s*$

%description
Bit::Vector is an efficient C library which allows you to handle bit
vectors, sets (of integers), "big integer arithmetic" and boolean
matrices, all of arbitrary sizes.
 
The library is efficient (in terms of algorithmic complexity) and
therefore fast (in terms of execution speed) for instance through the
widespread use of divide-and-conquer algorithms.

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Bit-Vector-%{version} 
chmod -c 644 examples/*.pl
perl -MConfig -pi -e 's|^#!/usr/local/bin/perl\b|$Config{startperl}|' \
    examples/benchmk1.pl
perl -MConfig -pi -e 's|^#!perl\b|$Config{startperl}|' \
    examples/{benchmk{2,3},primes,SetObject}.pl

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" \
  NO_PERLLOCAL=1 NO_PACKLIST=1
%{make_build}

%install
%{make_install}
find %{buildroot} -type f -name '*.bs' -a -size 0 -delete
%{_fixperms} %{buildroot}/*

%generate_compatibility_deps

%check
make test

%files
%license Artistic.txt GNU_GPL.txt GNU_LGPL.txt
%{perl_vendorarch}/Bit/
%{perl_vendorarch}/auto/Bit/
%{_mandir}/man3/*.3*
%dir %{abidir}
%{abidir}/Vector.dump

%files doc
%doc CHANGES.txt CREDITS.txt README.txt examples/

%changelog
* Mon Mar 27 2023 Feng Su <sufeng@linux.alibaba.com>  - 7.4-1
- package init from upstream
